Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040441
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Retail Modules] Discounts and Promotionsminorhave not tried2019-03-22 12:282019-05-22 10:50
Reporternicola_uvaView Statuspublic 
Assigned Tonicola_uva 
PrioritynormalResolutionfixedFixed in VersionRR19Q3
StatusclosedFix in branchFixed in SCM revision7e69acb13b55
ProjectionnoneETAnoneTarget VersionRR19Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040441: Discounts Category Enhancement - New discount type: Set line price

DescriptionBackport the changes from the repository specified below into pi product version.

Repository:
https://code.openbravo.com/erp/pmods-branches/org.openbravo.retail.posterminal-but-dev/rev/cce11ed1ffe0 [^]
https://code.openbravo.com/erp/pmods-branches/org.openbravo.retail.discounts-but-dev/rev/bc8833e61bde [^]
https://code.openbravo.com/erp/pmods-branches/org.openbravo.retail.discounts-but-dev/rev/34289103ffc9 [^]
https://code.openbravo.com/erp/pmods-branches/org.openbravo.retail.discounts.coupons-but-dev/rev/51e5ad32221b [^]
https://code.openbravo.com/erp/pmods-branches/org.openbravo.retail.discounts.category-but-dev/rev/7316c5f92dc9 [^]
Steps To Reproduce- Log into the backoffice
- Go to Discounts and Promotions
- Create a record with User Defined Line Amount Type and Line final gross 10
- Log into WebPOS
- Add an avalanche transceiver
- Click Discounts
- See that it adds a discount of 140.50€
TagsNo tags attached.
Attached Filesdiff file icon 40441_1.diff [^] (1,015 bytes) 2019-03-26 12:17 [Show Content]
diff file icon 40441_3.diff [^] (1,108 bytes) 2019-03-26 12:18 [Show Content]
diff file icon 40441_4.diff [^] (1,386 bytes) 2019-03-26 12:18 [Show Content]
diff file icon 40441_5.diff [^] (522 bytes) 2019-03-26 12:18 [Show Content]
diff file icon 40441_6.diff [^] (626 bytes) 2019-03-26 14:24 [Show Content]
diff file icon 40441_2.diff [^] (17,944 bytes) 2019-03-26 14:26 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0111147)
hgbot (developer)
2019-04-15 18:13

Repository: erp/pmods/org.openbravo.retail.discounts.coupons
Changeset: c2d277da1434c048f97820140e1b1e7c2b451273
Author: Guillermo Gil <guillermo.gil <at> openbravo.com>
Date: Mon Apr 15 10:33:19 2019 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.coupons/rev/c2d277da1434c048f97820140e1b1e7c2b451273 [^]

Fixed Issue 40441: Discounts Category Enhancement - New discount type: Set line price

---
M src-db/database/sourcedata/AD_FIELD.xml
---
(0111148)
hgbot (developer)
2019-04-15 18:13

Repository: erp/pmods/org.openbravo.retail.discounts.category
Changeset: 0786652764156be8fb4014c913364c8100af8f23
Author: Guillermo Gil <guillermo.gil <at> openbravo.com>
Date: Mon Apr 15 10:15:52 2019 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.category/rev/0786652764156be8fb4014c913364c8100af8f23 [^]

Fixed Issue 40441: New discount type: Set line price

---
M src-db/database/sourcedata/AD_FIELD.xml
M web/org.openbravo.retail.discounts.category/js/discountsButton.js
---
(0111150)
hgbot (developer)
2019-04-15 18:13

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 7e69acb13b55f030e6eae0ca0ab421c79c964f6b
Author: Guillermo Gil <guillermo.gil <at> openbravo.com>
Date: Mon Apr 15 10:05:28 2019 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/7e69acb13b55f030e6eae0ca0ab421c79c964f6b [^]

Fixed issue 40441: New discount type: Set line price

---
M web/org.openbravo.retail.posterminal/js/components/modalsplitlines.js
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0111151)
hgbot (developer)
2019-04-15 18:13

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 7e69acb13b55f030e6eae0ca0ab421c79c964f6b
Author: Guillermo Gil <guillermo.gil <at> openbravo.com>
Date: Mon Apr 15 10:05:28 2019 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/7e69acb13b55f030e6eae0ca0ab421c79c964f6b [^]

Fixed issue 40441: New discount type: Set line price

---
M web/org.openbravo.retail.posterminal/js/components/modalsplitlines.js
M web/org.openbravo.retail.posterminal/js/model/order.js
---

- Issue History
Date Modified Username Field Change
2019-03-22 12:28 nicola_uva New Issue
2019-03-22 12:28 nicola_uva Assigned To => nicola_uva
2019-03-22 12:28 nicola_uva Triggers an Emergency Pack => No
2019-03-22 13:25 guillermogil Category Discounts Category => Discounts and Promotions
2019-03-22 13:29 guillermogil Description Updated View Revisions
2019-03-26 12:17 nicola_uva File Added: 40441_1.diff
2019-03-26 12:18 nicola_uva File Added: 40441_2.diff
2019-03-26 12:18 nicola_uva File Added: 40441_3.diff
2019-03-26 12:18 nicola_uva File Added: 40441_4.diff
2019-03-26 12:18 nicola_uva File Added: 40441_5.diff
2019-03-26 14:24 nicola_uva File Added: 40441_6.diff
2019-03-26 14:25 nicola_uva File Deleted: 40441_2.diff
2019-03-26 14:26 nicola_uva File Added: 40441_2.diff
2019-04-15 18:13 hgbot Checkin
2019-04-15 18:13 hgbot Note Added: 0111147
2019-04-15 18:13 hgbot Status new => resolved
2019-04-15 18:13 hgbot Resolution open => fixed
2019-04-15 18:13 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.coupons/rev/c2d277da1434c048f97820140e1b1e7c2b451273 [^]
2019-04-15 18:13 hgbot Checkin
2019-04-15 18:13 hgbot Note Added: 0111148
2019-04-15 18:13 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.coupons/rev/c2d277da1434c048f97820140e1b1e7c2b451273 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.category/rev/0786652764156be8fb4014c913364c8100af8f23 [^]
2019-04-15 18:13 hgbot Checkin
2019-04-15 18:13 hgbot Note Added: 0111150
2019-04-15 18:13 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.category/rev/0786652764156be8fb4014c913364c8100af8f23 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/7e69acb13b55f030e6eae0ca0ab421c79c964f6b [^]
2019-04-15 18:13 hgbot Checkin
2019-04-15 18:13 hgbot Note Added: 0111151
2019-05-15 09:06 marvintm Review Assigned To => marvintm
2019-05-15 09:06 marvintm Status resolved => closed
2019-05-15 09:06 marvintm Fixed in Version => RR19Q3
2019-05-22 10:50 guillermogil Steps to Reproduce Updated View Revisions


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker